Skip to content

Create a webhook subscription

POST
/v1/webhooks
import requests
resp = requests.post(
"https://api.ultimateteam.ai/v1/webhooks",
headers={"X-API-Key": "utk_live_YOUR_KEY"},
)
print(resp.json())

Register a new HTTPS endpoint to receive event notifications. The signing secret is returned exactly once in this response – store it immediately. Subsequent reads of the subscription do not surface the secret.

X-API-Key
Any of:
string
Media typeapplication/json
CreateWebhookRequest

Body for POST /v1/webhooks.

object
description
Any of:
string
<= 255 characters
endpoint_url
required
Endpoint Url
string
>= 8 characters <= 2048 characters
event_types
required
Event Types
Array<string>
>= 1 items
Examplegenerated
{
"description": "example",
"endpoint_url": "example",
"event_types": [
"example"
]
}

Successful Response

Media typeapplication/json
Response Create Webhook V1 Webhooks Post
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}